#
# spec file for package plasma5-workspace
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define kf5_version 5.26.0

%bcond_without lang
Name:           plasma5-workspace
Version:        5.8.7
Release:        11.1
# Full Plasma 5 version (e.g. 5.8.7)
%{!?_plasma5_bugfix: %global _plasma5_bugfix %{version}}
# Lasted ABI-stable Plasma (e.g. 5.8 in KF5, but 5.8.90 in KUF)
%{!?_plasma5_version: %global _plasma5_version %(echo %{_plasma5_bugfix} | awk -F. '{print $1"."$2}')}
Summary:        The KDE Plasma Workspace Components
License:        GPL-2.0+
Group:          System/GUI/KDE
Url:            http://www.kde.org/
Source:         http://download.kde.org/stable/plasma/%{version}/plasma-workspace-%{version}.tar.xz
Source1:        baselibs.conf
# PATCH-FIX-OPENSUSE 0001-Rename-qdbus-in-startkde.patch cgiboudeaux@gmx.com -- Rename the qdbus executable in startkde
Patch0:         0001-Rename-qdbus-in-startkde.patch
# PATCH-FIX-OPENSUSE change-kioremote-severity.patch boo#997173 fabian@ritter-vogt.de -- Change default log severity for log_kioremote
Patch1:         change-kioremote-severity.patch
# PATCH-FIX-OPENSUSE 0001-Ignore-default-sddm-face-icons.patch boo#1001364 fabian@ritter-vogt.de -- Ignore default sddm face icons
Patch2:         0001-Ignore-default-sddm-face-icons.patch
# PATCH-FIX-OPENSUSE 0001-Revert-Systray-Move-all-icon-resolution-to-dataengin.patch fabian@ritter-vogt.de -- Revert "Systray: Move all icon resolution to dataengine" 
Patch3:         0001-Revert-Systray-Move-all-icon-resolution-to-dataengin.patch
# PATCH-FIX-OPENSUSE add-tray-icon-cache.patch kde#356479 fabian@ritter-vogt.de -- Workaround for high load due to animated tray icons
Patch4:         add-tray-icon-cache.patch
# PATCHES 100-200 and above are from upstream 5.8 branch
Patch101:       0001-Notifications-Check-for-corona-to-avoid-crash.patch
Patch102:       0002-Always-add-data-sources-in-SystemMonitorEngine-sourc.patch
Patch103:       0003-don-t-show-logout-when-kauthorized-doesn-t-want-it.patch
Patch104:       0004-fix-attachment-signals.patch
Patch105:       0005-Notification-Item-Enforce-PlainText-for-summary.patch
Patch106:       0006-Battery-Monitor-Fix-icon-size-for-InhibitionHint.patch
Patch107:       0007-Fix-QSortFilterProxyModelPrivate-updateChildrenMappi.patch
Patch108:       0008-Device-Notifier-Set-preferred-size-for-ActionItem.patch
Patch109:       0001-Notifications-Unset-Heading-default-height.patch
Patch110:       0001-Sanitise-notification-HTML.patch
Patch111:       0001-Add-license-header-to-test.patch
Patch112:       0001-Notifications-Fix-grouping.patch
# PATCHES 201-300 and above are from upstream master/5.9 branch
# Global menu bar backports (Plasma/5.9 and master)
# PATCH-FEATURE-UPSTREAM
Patch201:       0001-Clean-up-KAppMenu.patch
Patch202:       0002-Move-SNI-s-libdbusmenu-qt-fork-to-the-root-directory.patch
Patch203:       0003-Fix-build-of-DBusMenuImporter-the-ASYNCHRONOUS-argum.patch
Patch204:       0004-Remove-duplicated-code-from-DBusMenu-importer.patch
Patch205:       0005-Route-through-an-actionId-argument.patch
Patch206:       0006-Sort-out-compile-warnings-on-unused-vars.patch
Patch207:       0007-Add-small-app-for-testing-appmenu.patch
Patch208:       0008-Add-missing-license-to-test-file.patch
Patch209:       0009-Add-missing-CMakeLists.txt-in-subdir.patch
Patch210:       0010-Reuse-QAction-and-QMenu-items-on-updates.patch
Patch211:       0011-Replace-recursive-layout-loading-with-dynamic-loadin.patch
Patch212:       0012-Simplify-AppMenu-menu-management.patch
Patch213:       0013-Global-Menu-Applet.patch
Patch214:       0014-Fix-compile-with-gcc-4.8.patch
Patch215:       0015-Changes-to-global-menu-applet.patch
Patch216:       0016-Take-into-account-devicePixelRatio-when-placing-appl.patch
Patch217:       0017-Fine-tune-wording-for-disabled-app-menu.patch
Patch218:       0018-Take-into-account-kiosk-restrictions-for-when-appmen.patch
Patch219:       0019-Remove-unused-Connections-from-the-applet.patch
Patch220:       0020-Don-t-pass-immutable-properties-from-updateAction.patch
Patch221:       0021-Avoid-using-API-new-in-Qt-5.7.-Plasma-workspace-reli.patch
Patch222:       0022-Fix-mapToGlobal.patch
Patch223:       0023-Fix-calling-KWindowSystem-windowType-without-fetchin.patch
Patch224:       0024-Keep-AppletMenu-as-small-as-possible.patch
Patch225:       0025-Don-t-load-menu-when-switching-window-focus-to-the-d.patch
Patch226:       0026-Don-t-hide-applet-when-it-needs-configuring.patch
Patch227:       0027-Signal-which-menu-has-updated-in-libdbusmenu-qt.patch
Patch228:       0028-pre-load-the-first-layer-of-sub-menus.patch
Patch229:       0029-Generate-DBusMenu-Interface-for-libdbusmenuqt.patch
Patch230:       0030-Don-t-re-evaluate-the-model-constantly-whilst-loopin.patch
Patch231:       0031-Hide-menu-if-the-menu-disappears-off-DBus.patch
Patch232:       0032-guard-against-menu-being-deleted-whilst-updating.patch
Patch233:       0033-fix-dbus-xml-compilation.patch
Patch234:       0034-try-to-put-annotations-before-parameters-definition.patch
Patch235:       0035-Replace-std-bind-with-lambda.patch
Patch236:       0036-add-include-QtQml-for-old-Qt-versions.patch
Patch237:       0037-Appmenu-Applet-Check-whether-buttonGrid-has-a-window.patch
Patch238:       0038-Fix-memory-leak-in-Appmenu-when-using-compact-menu.patch
Patch239:       0039-AppMenu-Applet-Map-from-scene-after-mapping-from-glo.patch
Patch240:       0040-Rename-Application-Menu-to-Global-Menu-to-avoid-conf.patch
Patch241:       0041-re-enable-appmenu-directory.patch
Patch242:       0042-Only-activate-kded-Appmenu-signals-if-menus-are-in-t.patch
Patch243:       0043-Connect-aboutToHide-signal-from-QMenu-to-relevant-li.patch
# PATCH-FEATURE-OPENSUSE!!!
Patch244:       0044-Activation-support-in-appmenu.patch
# PATCH-FIX-UPSTREAM
Patch245:       0001-Unhide-autohidden-panel-when-using-global-menu.patch
# PATCH-FIX-UPSTREAM
Patch300:       0001-Some-UI-fixes-for-logout-dialog.patch
Patch301:       xembedsniproxy-inject-mouse-clicks-with-XTest.patch
Patch302:       xembedsniproxy-fix-using-XTest.patch
Patch303:       xembedsniproxy-fix-possible-crash.patch
# PATCH-FEATURE-UPSTREAM
Patch304:       applauncher-allow-to-show-apps-by-name.patch
# PATCH-FIX-UPSTREAM
Patch305:       logoutdialog-honor-Offer-shutdown-options.patch
BuildRequires:  breeze5-icons
BuildRequires:  fdupes
BuildRequires:  kf5-filesystem
BuildRequires:  phonon4qt5-devel >= 4.6.60
BuildRequires:  update-desktop-files
BuildRequires:  cmake(KF5Activities) >= %{kf5_version}
BuildRequires:  cmake(KF5Baloo)
BuildRequires:  cmake(KF5CoreAddons) >= %{kf5_version}
BuildRequires:  cmake(KF5Crash) >= %{kf5_version}
BuildRequires:  cmake(KF5DBusAddons) >= %{kf5_version}
BuildRequires:  cmake(KF5Declarative) >= %{kf5_version}
BuildRequires:  cmake(KF5DocTools) >= %{kf5_version}
BuildRequires:  cmake(KF5GlobalAccel) >= %{kf5_version}
BuildRequires:  cmake(KF5Holidays)
BuildRequires:  cmake(KF5I18n) >= %{kf5_version}
BuildRequires:  cmake(KF5IdleTime) >= %{kf5_version}
BuildRequires:  cmake(KF5JsEmbed) >= %{kf5_version}
BuildRequires:  cmake(KF5KCMUtils) >= %{kf5_version}
BuildRequires:  cmake(KF5KDELibs4Support) >= %{kf5_version}
BuildRequires:  cmake(KF5NetworkManagerQt) >= %{kf5_version}
BuildRequires:  cmake(KF5NewStuff) >= %{kf5_version}
BuildRequires:  cmake(KF5NotifyConfig) >= %{kf5_version}
BuildRequires:  cmake(KF5Package) >= %{kf5_version}
BuildRequires:  cmake(KF5Plasma) >= %{kf5_version}
BuildRequires:  cmake(KF5PlasmaQuick)
BuildRequires:  cmake(KF5Prison) >= %{kf5_version}
BuildRequires:  cmake(KF5Runner) >= %{kf5_version}
BuildRequires:  cmake(KF5Screen) >= 5.0.93
BuildRequires:  cmake(KF5Solid) >= %{kf5_version}
BuildRequires:  cmake(KF5Su) >= %{kf5_version}
BuildRequires:  cmake(KF5SysGuard) >= %{_plasma5_version}
BuildRequires:  cmake(KF5TextEditor)
BuildRequires:  cmake(KF5TextWidgets) >= %{kf5_version}
BuildRequires:  cmake(KF5Wallet) >= %{kf5_version}
BuildRequires:  cmake(KF5Wayland) >= %{_plasma5_version}
BuildRequires:  cmake(KF5XmlRpcClient)
BuildRequires:  cmake(KScreenLocker) >= %{_plasma5_version}
BuildRequires:  cmake(KWinDBusInterface) >= %{_plasma5_version}
BuildRequires:  cmake(Qt5Concurrent) >= 5.4.0
BuildRequires:  cmake(Qt5DBus) >= 5.4.0
BuildRequires:  cmake(Qt5Network) >= 5.4.0
BuildRequires:  cmake(Qt5Qml) >= 5.4.0
BuildRequires:  cmake(Qt5Quick) >= 5.4.0
BuildRequires:  cmake(Qt5QuickWidgets) >= 5.4.0
BuildRequires:  cmake(Qt5Script) >= 5.4.0
BuildRequires:  cmake(Qt5Sql) >= 5.4.0
BuildRequires:  cmake(Qt5Test) >= 5.4.0
BuildRequires:  cmake(Qt5Widgets) >= 5.4.0
BuildRequires:  cmake(Qt5X11Extras) >= 5.4.0
BuildRequires:  cmake(ScreenSaverDBusInterface) >= %{_plasma5_version}
BuildRequires:  cmake(dbusmenu-qt5)
BuildRequires:  pkgconfig(libgps)
BuildRequires:  pkgconfig(libqalculate)
BuildRequires:  pkgconfig(sm)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xcb)
BuildRequires:  pkgconfig(xcb-composite)
BuildRequires:  pkgconfig(xcb-damage)
BuildRequires:  pkgconfig(xcb-image)
BuildRequires:  pkgconfig(xcb-randr)
BuildRequires:  pkgconfig(xcb-shm)
BuildRequires:  pkgconfig(xcb-util)
BuildRequires:  pkgconfig(xcb-xfixes)
BuildRequires:  pkgconfig(zlib)
Conflicts:      kdebase4-workspace < 5.3.0
# Some files have been moved from kio-extras5 to plasma5-workspace in 5.4. This should prevent a possible file conflict. (boo#944656)
Conflicts:      kio-extras5 < 15.08.0
Requires:       %{name}-libs = %{version}-%{release}
# used within startup
Requires:       kde-cli-tools5 >= %{_plasma5_version}
Requires:       kded
Requires:       kdelibs4support
Requires:       kinit
Requires:       kscreenlocker >= %{_plasma5_version}
Requires:       kwin5 >= %{_plasma5_version}
Requires:       libqt5-qttools >= 5.4.0
# /usr/bin/startkde calls xprop
Requires:       xprop
# contains default style, cursors, etc
Requires:       breeze >= %{_plasma5_version}
# needed by krunner
Requires:       milou5 >= %{_plasma5_version}
# heavily used by plasma
Requires:       libqt5-qtquickcontrols
# battery applet
Requires:       drkonqi5 >= %{_plasma5_version}
Requires:       kglobalaccel5 >= %{_plasma5_version}
Requires:       solid-imports
# dialog/platformtheme/etc
Requires:       frameworkintegration-plugin
Requires:       kscreen5 >= %{_plasma5_version}
Requires:       libkscreen2-plugin >= %{_plasma5_version}
# boo#912317
Requires:       oxygen5-sounds >= %{_plasma5_version}
# hardcode versions of plasma-framework-components and plasma-framework-private packages, as upstream doesn't keep backwards compability there
%requires_ge plasma-framework-components
%requires_ge plasma-framework-private
Requires:       kactivities5
Requires:       kio-extras5
# notifications...
Recommends:     phonon4qt5-backend
# people should be able to adjust desktop
Recommends:     systemsettings5
# so Qt4-only apps have some colors in tray
Recommends:     sni-qt
Recommends:     %{name}-lang
# plasmashell implements the dbus interface org.freedesktop.Notifications directly
Provides:       %{name}-branding = %{_plasma5_bugfix}
Provides:       %{name}-branding-upstream = %{version}
Provides:       dbus(org.freedesktop.Notifications)
Obsoletes:      %{name}-branding-upstream < %{version}
Provides:       xembed-sni-proxy = %{version}
Obsoletes:      xembed-sni-proxy < %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This package contains the basic packages for a Plasma workspace.

%package -n drkonqi5
Summary:        KDE crash handler
Group:          Development/Tools/Debuggers

%description -n drkonqi5
The KDE Crash Handler gives the user feedback if a program has crashed.

%package libs
Summary:        The KDE Plasma Workspace Components
Group:          Development/Libraries/KDE
%requires_ge libQt5Core5
%requires_ge libQt5DBus5
%requires_ge libQt5Gui5
%requires_ge libQt5Widgets5
%requires_ge libQt5X11Extras5
%requires_ge libksysguard5
%requires_ge libKF5CoreAddons5
%requires_ge libKF5WindowSystem5
%requires_ge libKF5Activities5
%requires_ge libKF5I18n5
%requires_ge kservice
%requires_ge kio
%requires_ge plasma-framework

%description libs
This package contains the basic packages for a K Desktop Environment
workspace.

%package devel
Summary:        The KDE Plasma Workspace Components
Group:          Development/Libraries/KDE
Requires:       %{name}-libs = %{version}-%{release}
Requires:       cmake(KF5SysGuard) >= %{_plasma5_version}
Requires:       cmake(KF5Wayland) >= %{kf5_version}
Requires:       cmake(Qt5Core) >= 5.4.0
Requires:       cmake(Qt5Gui) >= 5.4.0
Requires:       cmake(Qt5Quick) >= 5.4.0
Conflicts:      kdebase4-workspace-devel
Provides:       plasma-workspace5-devel = %{version}
Obsoletes:      plasma-workspace5-devel < %{version}
Conflicts:      kapptemplate <= 16.03.80

%description devel
This package contains the basic packages for a K Desktop Environment
workspace. Development files.

%lang_package

%prep
%setup -q -n plasma-workspace-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch101 -p1
%patch102 -p1
%patch103 -p1
%patch104 -p1
%patch105 -p1
%patch106 -p1
%patch107 -p1
%patch108 -p1
%patch109 -p1
%patch110 -p1
%patch111 -p1
%patch112 -p1
%if 0%{?sle_version} >= 120300
%patch201 -p1
%patch202 -p1
%patch203 -p1
%patch204 -p1
%patch205 -p1
%patch206 -p1
%patch207 -p1
%patch208 -p1
%patch209 -p1
%patch210 -p1
%patch211 -p1
%patch212 -p1
%patch213 -p1
%patch214 -p1
%patch215 -p1
%patch216 -p1
%patch217 -p1
%patch218 -p1
%patch219 -p1
%patch220 -p1
%patch221 -p1
%patch222 -p1
%patch223 -p1
%patch224 -p1
%patch225 -p1
%patch226 -p1
%patch227 -p1
%patch228 -p1
%patch229 -p1
%patch230 -p1
%patch231 -p1
%patch232 -p1
%patch233 -p1
%patch234 -p1
%patch235 -p1
%patch236 -p1
%patch237 -p1
%patch238 -p1
%patch239 -p1
%patch240 -p1
%patch241 -p1
%patch242 -p1
%patch243 -p1
%patch244 -p1
%patch245 -p1
%endif
%patch300 -p1
%patch301 -p1
%patch302 -p1
%patch303 -p1
%patch304 -p1
%patch305 -p1

%build
  %cmake_kf5 -d build -- -DKDE4_COMMON_PAM_SERVICE=xdm -DKDE_DEFAULT_HOME=.kde4 -DCMAKE_INSTALL_LOCALEDIR=%{_kf5_localedir}
  %make_jobs

%install
  %kf5_makeinstall -C build
%if %{with lang}
  %kf5_find_lang
%endif
  # The file got renamed in plasma 5.9 and kpackage expects that
  ln -s plasma-layout-template.desktop %{buildroot}%{_kf5_servicetypesdir}/plasma-layouttemplate.desktop
  install -p -D -m755 drkonqi/doc/examples/installdbgsymbols_suse.sh \
  %{buildroot}/usr/bin/installdbgsymbols.sh
  %suse_update_desktop_file -r %{buildroot}%{_kf5_applicationsdir}/org.kde.klipper.desktop       System TrayIcon
  mkdir -p %{buildroot}%{_kf5_iconsdir}/hicolor/48x48/apps/
  cp %{_kf5_iconsdir}/breeze/apps/48/klipper.svg %{buildroot}%{_kf5_iconsdir}/hicolor/48x48/apps/
  # remove empty/invalid appstream xml files. kpackagetool5 generates invalid files sometimes...
  find %{buildroot}%{_kf5_appstreamdir} -type f -size 0 -print -delete
  # we have a separate package for Plasma5 session
  rm -rfv %{buildroot}%{_kf5_sharedir}/xsessions
  rm -rfv %{buildroot}%{_kf5_sharedir}/wayland-sessions
  %fdupes %{buildroot}/%{_prefix}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig

%files libs
%defattr(-,root,root)
%doc COPYING*
%{_kf5_libdir}/libkworkspace5.so.*
%{_kf5_libdir}/libplasma-geolocation-interface.so.*
%{_kf5_libdir}/libtaskmanager.so.*
%{_kf5_libdir}/libweather_ion.so.*

%files
%defattr(-,root,root)
%doc COPYING*
%{_kf5_bindir}/xembedsniproxy
%{_kf5_bindir}/kcheckrunning
%{_kf5_bindir}/kcminit
%{_kf5_bindir}/kcminit_startup
%{_kf5_bindir}/kdostartupconfig5
%{_kf5_bindir}/klipper
%{_kf5_bindir}/krunner
%{_kf5_bindir}/ksmserver
%{_kf5_bindir}/ksplashqml
%{_kf5_bindir}/kstartupconfig5
%{_kf5_bindir}/kuiserver5
%{_kf5_bindir}/plasmashell
%{_kf5_bindir}/plasmawindowed
%{_kf5_bindir}/startkde
%{_kf5_bindir}/startplasmacompositor
%{_kf5_bindir}/systemmonitor
%{_kf5_configdir}/autostart/plasmashell.desktop
%{_kf5_configdir}/autostart/klipper.desktop
%{_kf5_configdir}/autostart/krunner.desktop
%{_kf5_configdir}/autostart/xembedsniproxy.desktop
%config %{_kf5_configdir}/plasmoids.knsrc
%config %{_kf5_configdir}/wallpaper.knsrc
%config %{_kf5_configdir}/taskmanagerrulesrc
%dir %{_kf5_libdir}/libexec
%{_kf5_libdir}/libexec/ksyncdbusenv
%{_kf5_libdir}/libexec/startplasma
%{_kf5_libdir}/libexec/ksmserver-logout-greeter
%{_kf5_libdir}/libkdeinit5_kcminit.so
%{_kf5_libdir}/libkdeinit5_kcminit_startup.so
%{_kf5_libdir}/libkdeinit5_klipper.so
%{_kf5_libdir}/libkdeinit5_ksmserver.so
%{_kf5_libdir}/libkdeinit5_kuiserver5.so
%{_kf5_plugindir}/
%{_kf5_qmldir}/
%{_kf5_applicationsdir}/org.kde.klipper.desktop
%{_kf5_applicationsdir}/plasma-windowed.desktop
%{_kf5_configkcfgdir}/freespacenotifier.kcfg
%{_kf5_sharedir}/dbus-1/services/kf5_org.kde.kuiserver.service
%{_kf5_sharedir}/dbus-1/services/org.kde.krunner.service
%{_kf5_sharedir}/desktop-directories/
%dir %{_kf5_htmldir}
%dir %lang(en) %{_kf5_htmldir}/en
%doc %lang(en) %{_kf5_htmldir}/en/klipper/
%doc %lang(en) %{_kf5_htmldir}/en/kcontrol/
%{_kf5_notifydir}/
%{_kf5_servicesdir}/
%{_kf5_servicetypesdir}/
%{_kf5_sharedir}/ksmserver/
%{_kf5_sharedir}/ksplash/
%{_kf5_sharedir}/kstyle/
%{_kf5_plasmadir}/
%{_kf5_sharedir}/solid/
%{_kf5_sharedir}/kio_desktop/
%{_kf5_iconsdir}/hicolor/48x48/apps/klipper.svg
%{_kf5_appstreamdir}/
%dir %{_kf5_sharedir}/sddm
%dir %{_kf5_sharedir}/sddm/themes
%{_kf5_sharedir}/sddm/themes/breeze/

%files -n drkonqi5
%defattr(-,root,root)
%doc COPYING*
%{_kf5_bindir}/installdbgsymbols.sh
%dir %{_kf5_libdir}/libexec
%{_kf5_libdir}/libexec/drkonqi
%{_kf5_sharedir}/drkonqi/

%files devel
%defattr(-,root,root)
%doc COPYING*
%{_kf5_prefix}/include/kworkspace5/
%{_kf5_prefix}/include/plasma/
%{_kf5_prefix}/include/taskmanager/
%{_kf5_libdir}/cmake/KRunnerAppDBusInterface/
%{_kf5_libdir}/cmake/KSMServerDBusInterface/
%{_kf5_libdir}/cmake/LibKWorkspace/
%{_kf5_libdir}/cmake/LibTaskManager/
%{_kf5_libdir}/libkworkspace5.so
%{_kf5_libdir}/libplasma-geolocation-interface.so
%{_kf5_libdir}/libtaskmanager.so
%{_kf5_libdir}/libweather_ion.so
%{_kf5_sharedir}/kdevappwizard/
%{_kf5_sharedir}/dbus-1/interfaces/

%if %{with lang}
%files lang -f %{name}.lang
%doc %lang(de) %{_kf5_htmldir}/de/
%endif

%changelog
* Mon Feb  5 2018 fabian@ritter-vogt.de
- Add patches from upstream Plasma/5.8 branch:
  * 0001-Notifications-Unset-Heading-default-height.patch
  * 0001-Add-license-header-to-test.patch
  * 0001-Sanitise-notification-HTML.patch
  * 0001-Notifications-Fix-grouping.patch
- Fixes kde#381154
- Might fix boo#1013550
* Fri Nov 24 2017 fabian@ritter-vogt.de
- Add patches from upstream Plasma/5.8 branch:
  * 0002-Always-add-data-sources-in-SystemMonitorEngine-sourc.patch
  * 0003-don-t-show-logout-when-kauthorized-doesn-t-want-it.patch
  * 0004-fix-attachment-signals.patch
  * 0005-Notification-Item-Enforce-PlainText-for-summary.patch
  * 0006-Battery-Monitor-Fix-icon-size-for-InhibitionHint.patch
  * 0007-Fix-QSortFilterProxyModelPrivate-updateChildrenMappi.patch
  * 0008-Device-Notifier-Set-preferred-size-for-ActionItem.patch
- Rename  Notifications-Check-for-corona-to-avoid-crash.patch to
  0001-Notifications-Check-for-corona-to-avoid-crash.patch
- Fixes: kde#378508, kde#380209, kde#380344, kde#383213,
  kde#381006, kde#382541, boo#1069777
- Add patch from upstream Plasma/5.11 branch (kde#384861):
  * 0001-Unhide-autohidden-panel-when-using-global-menu.patch
- Refresh 0001-Some-UI-fixes-for-logout-dialog.patch
* Wed Jul 12 2017 wbauer@tmo.at
- Add Notifications-Check-for-corona-to-avoid-crash.patch to
  prevent a Plasma crash when removing a panel that has a system
  tray with the Notifications applet (boo#1046500, kde#378508)
* Sun Jul  9 2017 wbauer@tmo.at
- Add logoutdialog-honor-Offer-shutdown-options.patch to make the
  logout dialog respect the "Offer shutdown options" setting and
  hide "Reboot" and "Shutdown" if disabled (boo#1008844)
* Sat Jul  1 2017 wbauer@tmo.at
- Add applauncher-allow-to-show-apps-by-name.patch to provide an
  option to display application names instead of the generic names
  in the desktop containment's application launcher mouse action
  (kde#358423, boo#974513)
* Sat Jun 17 2017 wbauer@tmo.at
- Re-enable the xembedsniproxy patches
- Add xembedsniproxy-fix-possible-crash.patch to fix a possible
  crash
* Wed Jun 14 2017 fabian@ritter-vogt.de
- Disable the xembedsniproxy patches temporarily as they seem to
  break in some cases completely
* Wed May 31 2017 wbauer@tmo.at
- Add xembedsniproxy-inject-mouse-clicks-with-XTest.patch and
  xembedsniproxy-fix-using-XTest.patch to fix clicking on system
  tray icons of certain applications, mainly GTK3 and Java
  (boo#1026999, kde#362941, kde#375017)
* Tue May 23 2017 fabian@ritter-vogt.de
- Update to 5.8.7
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.8.7.php
- Changes since 5.8.6:
  * remove useless debug
  * don't check for panel visible during startup
  * [Weather] Fix term used for thunderstorm in bbcukmet data db
  * [Weather] Add missing strings from bbcukmet data db
  * [Weather] Remove duplicated/bad strings from bbcukmet data db
  * [Weather] Fix lookup of bbcukmet translations strings, stored in lowercase
  * Update unit test to match change to reselecting top entry
  * Revert "launch autostart apps in ksmserver using KRun" (kde#379254)
  * selecting the topmost klipper item should always set it as clipboard contents (kde#348390,kde#251222)
  * use KProcess instead of QProcess to launch apps in ksmserver
  * launch autostart apps in ksmserver using KRun, not QProcess (kde#369391,kde#370528)
  * recognize the WM even if given with a full path
  * [Media Controller] Enforce PlainText format
  * Fix off-by-one.
  * [Media Controller] Use double for length instead of int (kde#377623)
  * When deleting the panel the notifications applet is in, the containment is being destroyed but the corona is still there and rightfully emits availableScreenRectChanged. This will cause us to crash when we try to access the no-longer existing containment.
  * Correctly handle when a new primary screen displaces the old
  * Fix TasksModel.anyTaskDemandsAttention not updating on window closure. (kde#378254)
  * [Calculator Runner] Use "approximate" approximation mode (kde#277011)
  * [OSD] Allow disabling OSD through config file
  * manage mouse events when out of the window (kde#377545)
  * don't emit availableScreenRectChanged when quitting
  * try proper order of corona()->availableScreenRect() (kde#377298)
  * Ignore NoDisplay=true .desktop entries when matching by Name.
  * try harder to make the selected wallpaper visible
  * [Logout Screen] Show suspend button only if supported (kde#376601)
- Remove patches, now upstream.
  * 0001-OSD-Allow-disabling-OSD-through-config-file.patch
  * 0001-Logout-Screen-Show-suspend-button-only-if-supported.patch
  * 0002-Media-Controller-Use-double-for-length-instead-of-in.patch
  * 0004-Media-Controller-Enforce-PlainText-format.patch
  * 0003-Fix-off-by-one.patch
* Wed Apr 19 2017 fabian@ritter-vogt.de
- Add various patches from Plasma/5.8:
  * 0001-When-deleting-the-panel-the-notifications-applet-is-.patch
  * 0002-Media-Controller-Use-double-for-length-instead-of-in.patch
  * 0003-Fix-off-by-one.patch
  * 0004-Media-Controller-Enforce-PlainText-format.patch
* Sun Apr  9 2017 fabian@ritter-vogt.de
- Add fixes to the logout dialog:
  * From Plasma/5.8: 0001-Logout-Screen-Show-suspend-button-only-if-supported.patch
  * From master: 0001-Some-UI-fixes-for-logout-dialog.patch
* Sat Apr  8 2017 fabian@ritter-vogt.de
- Add cmake(KF5Prison)
- Add a link so kpackage can find Plasma/LayoutTemplate description
- Remove empty files in %%_kf5_appstreamdir
* Fri Mar 24 2017 fabian@ritter-vogt.de
- Backport the global menu from 5.9/master (boo#1026534):
  * 0001-Clean-up-KAppMenu.patch
  * 0002-Move-SNI-s-libdbusmenu-qt-fork-to-the-root-directory.patch
  * 0003-Fix-build-of-DBusMenuImporter-the-ASYNCHRONOUS-argum.patch
  * 0004-Remove-duplicated-code-from-DBusMenu-importer.patch
  * 0005-Route-through-an-actionId-argument.patch
  * 0006-Sort-out-compile-warnings-on-unused-vars.patch
  * 0007-Add-small-app-for-testing-appmenu.patch
  * 0008-Add-missing-license-to-test-file.patch
  * 0009-Add-missing-CMakeLists.txt-in-subdir.patch
  * 0010-Reuse-QAction-and-QMenu-items-on-updates.patch
  * 0011-Replace-recursive-layout-loading-with-dynamic-loadin.patch
  * 0012-Simplify-AppMenu-menu-management.patch
  * 0013-Global-Menu-Applet.patch
  * 0014-Fix-compile-with-gcc-4.8.patch
  * 0015-Changes-to-global-menu-applet.patch
  * 0016-Take-into-account-devicePixelRatio-when-placing-appl.patch
  * 0017-Fine-tune-wording-for-disabled-app-menu.patch
  * 0018-Take-into-account-kiosk-restrictions-for-when-appmen.patch
  * 0019-Remove-unused-Connections-from-the-applet.patch
  * 0020-Don-t-pass-immutable-properties-from-updateAction.patch
  * 0021-Avoid-using-API-new-in-Qt-5.7.-Plasma-workspace-reli.patch
  * 0022-Fix-mapToGlobal.patch
  * 0023-Fix-calling-KWindowSystem-windowType-without-fetchin.patch
  * 0024-Keep-AppletMenu-as-small-as-possible.patch
  * 0025-Don-t-load-menu-when-switching-window-focus-to-the-d.patch
  * 0026-Don-t-hide-applet-when-it-needs-configuring.patch
  * 0027-Signal-which-menu-has-updated-in-libdbusmenu-qt.patch
  * 0028-pre-load-the-first-layer-of-sub-menus.patch
  * 0029-Generate-DBusMenu-Interface-for-libdbusmenuqt.patch
  * 0030-Don-t-re-evaluate-the-model-constantly-whilst-loopin.patch
  * 0031-Hide-menu-if-the-menu-disappears-off-DBus.patch
  * 0032-guard-against-menu-being-deleted-whilst-updating.patch
  * 0033-fix-dbus-xml-compilation.patch
  * 0034-try-to-put-annotations-before-parameters-definition.patch
  * 0035-Replace-std-bind-with-lambda.patch
  * 0036-add-include-QtQml-for-old-Qt-versions.patch
  * 0037-Appmenu-Applet-Check-whether-buttonGrid-has-a-window.patch
  * 0038-Fix-memory-leak-in-Appmenu-when-using-compact-menu.patch
  * 0039-AppMenu-Applet-Map-from-scene-after-mapping-from-glo.patch
  * 0040-Rename-Application-Menu-to-Global-Menu-to-avoid-conf.patch
  * 0041-re-enable-appmenu-directory.patch
  * 0042-Only-activate-kded-Appmenu-signals-if-menus-are-in-t.patch
  * 0043-Connect-aboutToHide-signal-from-QMenu-to-relevant-li.patch
  * 0044-Activation-support-in-appmenu.patch
* Fri Mar 24 2017 fabian@ritter-vogt.de
- Add upstream patch to fix disabling the OSD:
  * 0001-OSD-Allow-disabling-OSD-through-config-file.patch
* Sat Mar 11 2017 dimstar@opensuse.org
- Provide dbus(org.freedesktop.Notifications): plasmashell
  implements the Notifications interface.
* Tue Feb 21 2017 fabian@ritter-vogt.de
- Update to 5.8.6
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.8.6.php
- Changes since 5.8.5:
  * Port to QMultiHash.
  * Only remove + announce if leader change actually occured, avoid excessive loop.
  * Fix crash.
  * [Notifications] Never manually hide() the NotificationPopup
  * Add comment laying out goals.
  * Fix crash when switching activities.
  * Tweak alphabetic (default) sort behavior.
  * turn the NotificationItem in a MouseArea
  * [DesktopView] show() ConfigView when it is already opened
  * [System Tray Containment] Drop useless Q_INVOKABLE from .cpp file
  * [System Tray Containment] Ungrab mouse before opening context menu
  * [KRunner] In doubt use primary screen for view position
  * Drop legacy fixup rule for VirtualBox.
  * fix isOutputRedundant logic
  * Fix group parents not appearing when disabling inline grouping.
  * Corona::screenGeometryChanged on qscreen resized
  * MediaController: Update position while queuedPositionUpdate timer is running
  * better clean up of duplicate containments
  * Fix "Pinned Chrome disappears when all Chrome windows are closed"
  * [MPRIS Data Engine] Don't crash if "Metadata" is a map but of wrong type
  * Systray: Move all icon resolution to dataengine
  * use a native event filter to notice the screen was swapped
- Fixes:
  * kde#374531
  * kde#365617
  * kde#371858
  * kde#375507
  * kde#350468
  * kde#375574
  * kde#373698
  * kde#376055
- Revert upstream commit to allow use of our current slightly different fix:
  * 0001-Revert-Systray-Move-all-icon-resolution-to-dataengin.patch
* Mon Feb 20 2017 wbauer@tmo.at
- drkonqi can use konsole again, the problems there are fixed
* Tue Dec 27 2016 fabian@ritter-vogt.de
- Update to 5.8.5
  * New bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.8.5.php
- Changes since 5.8.4:
  * notice when the only screen changes
  * make sure  applet is removed from stack when destroyed
  * [Lock Screen] Wrap OSD in its own ColorScope
  * Move updating of primary screen in screenpool after fetching its id
  * Calendar: clear selection on opening
  * Fix regression in last commit, don't show battery life as 100 when it's 0
  * Fix "Unable to assign [undefined] to int" log
  * Refresh the ScreenGeometry data role whenever a screen is added or changes its geometry.
  * systemtray: Don't propagate unhandled wheel events
  * [Lock Screen] Add keyboard icon for keyboard layout switcher
  * remove categories not present on server anymore
  * Select correct index without timer
  * Expose rowCount as data role in TaskGroupingProxyModel.
  * [taskmanagerrulesrc] Add Rewrite Rule for chromium
  * [SDDM Theme] Fix background in qmlscene by providing proper config dummy data
  * [SDDM Theme] Add "lastUser" and "disableAvatarsThreshold" properties to dummydata
  * [SDDM Theme] Remember last username
  * [taskmanagerrulesrc] Add Rewrite Rule for chromium-browser
  * fix config dialogs in ltr mode
- Fixes:
  * boo#1022119
* Wed Nov 23 2016 fabian@ritter-vogt.de
- Update to 5.8.4
  * New bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.8.4.php
- Changes since 5.8.3:
  * properly parse exec line before qprocessing it for autostart
  * Disable Qt's high DPI scaling on shutdown/switch user dialogs
  * Don't set PanelView visibilty when opening/closing config
  * Check KPluginInfo.service() returns a valid object
  * Revert "Port to new plasma-framework API"
  * Add plasma-discover to mappings
  * [Windowed Widgets Runner] Don't access invalid KPluginMetaData
  * Load screenpool at the same time as we connect to screenchanged signals
  * Avoid connecting to screen changed signals twice
  * Sync app config in sync with applets config
  * make sure all outputs are known
  * [taskmanagerrulesrc] Add Rewrite Rule for Google-chrome
  * [XWindowTasksModel] Check for service being empty before searching new ones
  * fix behavior of scrollable systray popups
  * Introduce new pre-layout script hook
  * Make sure we're looking both for json and desktop metadata
  * Port to new plasma-framework API
  * Modified distance function to keep aspect ratio as close as possible
- Remove patches, now upstream:
  * 0001-taskmanagerrulesrc-Add-Rewrite-Rule-for-Google-chrom.patch
  * 0002-make-sure-all-outputs-are-known.patch
  * 0003-Sync-app-config-in-sync-with-applets-config.patch
  * 0004-Avoid-connecting-to-screen-changed-signals-twice.patch
  * 0005-Load-screenpool-at-the-same-time-as-we-connect-to-sc.patch
  * Look-for-both-json-and-desktop-metadata.patch
  * keep-wallpaper-aspect-ratio-wallpaper-on-screen-resolution-change.diff
  * use-nearest-aspect-ratio-available-wallpaper.diff
* Sat Nov 12 2016 wbauer@tmo.at
- Add Look-for-both-json-and-desktop-metadata.patch to fix adding a
  panel or plasmoid with the new json metadata files
* Thu Nov 10 2016 fabian@ritter-vogt.de
- Backport several commits for better multiscreen handling:
  * 0001-taskmanagerrulesrc-Add-Rewrite-Rule-for-Google-chrom.patch
  * 0002-make-sure-all-outputs-are-known.patch
  * 0003-Sync-app-config-in-sync-with-applets-config.patch
  * 0004-Avoid-connecting-to-screen-changed-signals-twice.patch
  * 0005-Load-screenpool-at-the-same-time-as-we-connect-to-sc.patch
  * kde#372099,kde#371858,kde#371991,kde#371819,kde#371734
  * boo#1003438
* Thu Nov  3 2016 fabian@ritter-vogt.de
- Introduce new _plasma5_bugfix global for more fine-tuned dependencies
* Wed Nov  2 2016 wbauer@tmo.at
- Call qtpaths with an absolute path in startkde to make sure the
  system one is used (boo#1004769)
* Wed Nov  2 2016 alarrosa@suse.com
- Add use-nearest-aspect-ratio-available-wallpaper.diff to improve the
  selection of wallpapers keeping the same (or as similar as possible)
  aspect ratio (boo#990257). Include the latest changes submitted
  upstream to work better with QUAD HD screen resolutions.
* Tue Nov  1 2016 fabian@ritter-vogt.de
- Update to 5.8.3
  * New bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.8.3.php
- Remove upstream patches:
  * fix-sddm-theme-logic.diff
  * remove-sddm-graphicaleffects-dep.patch
* Sun Oct 23 2016 fabian@ritter-vogt.de
- Remove Requires again, backport import removal
  * remove-sddm-graphicaleffects-dep.patch
* Sat Oct 22 2016 fabian@ritter-vogt.de
- Add Requires: libqt5-qtgraphicaleffects as used by the sddm theme
* Fri Oct 21 2016 alarrosa@suse.com
- Added fix-sddm-theme-logic.diff so sddm offers the text entry boxes
  by default (instead of an empty user list) when the userlist model
  is empty (boo#1003742)
* Tue Oct 18 2016 fabian@ritter-vogt.de
- Update to 5.8.2
  * New bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.8.2.php
* Tue Oct 11 2016 fabian@ritter-vogt.de
- Update to 5.8.1
  * New bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.8.1.php
- Removed upstream patches:
  * 0001-save-the-containment-only-aftyer-switch.patch
- Remove copyrighted picture (kde#370490)
* Fri Oct  7 2016 alarrosa@suse.com
- Add keep-wallpaper-aspect-ratio-wallpaper-on-screen-resolution-change.diff:
  * Chooses a new preferred background image when the screen
    resolution is changed to keep the correct aspect ratio (boo#990257).
    Also check for division by zero.
* Thu Oct  6 2016 fabian@ritter-vogt.de
- Add 0001-save-the-containment-only-aftyer-switch.patch:
  * Without this it would always change back to the folderview
    after login (boo#1003399)
* Wed Oct  5 2016 fabian@ritter-vogt.de
- Add Source: URL back
* Mon Oct  3 2016 fabian@ritter-vogt.de
- Update 0001-Ignore-default-sddm-face-icons.patch to not break
  all .face.icon (boo#1001364)
* Sun Oct  2 2016 fabian@ritter-vogt.de
- Add add-tray-icon-cache.patch (kde#356479):
  * High load due to animated tray icons
* Sat Oct  1 2016 fabian@ritter-vogt.de
- Add 0001-Ignore-default-sddm-face-icons.patch (boo#1001364):
  * The default SDDM face icons are too dark to be used with
    the default backgrounds
* Thu Sep 29 2016 fabian@ritter-vogt.de
- Update to 5.8.0
  * New LTS feature release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.8.0.php
- Remove patches (now upstream):
  * 0001-wait-before-creating-the-panel.patch
  * fix-breeze-sddm-theme-with-many-users-2.patch
  * fix-wallpaper-not-having-correct-aspect-ratio.diff
* Tue Sep 27 2016 alarrosa@suse.com
- Add fix-breeze-sddm-theme-with-many-users-2.patch: Makes the
  breeze theme in sddm show username/password directly instead of
  a user list when there's more than N users in the system where
  N is defined in sddm.conf, under the Theme section, in the
  UsersThresholdToDisableAvatars variable.
* Sat Sep 24 2016 fabian@ritter-vogt.de
- Add 0001-wait-before-creating-the-panel.patch to work around race
  condition for panel transparency (boo#1000109)
* Thu Sep 22 2016 fabian@ritter-vogt.de
- Add change-kioremote-severity.patch to avoid filling the home folder
  with useless log messages (boo#997173)
* Thu Sep 22 2016 alarrosa@suse.com
- Added fix-wallpaper-not-having-correct-aspect-ratio.diff . The previous
  algorithm to choose a wallpaper preferred the ones with the closest area
  giving preference to downscaling over upscaling. This patch changes that
  to use that algorithm first only in wallpapers with the same aspect ratio
  as the screen and then using the old algorithm as fallback if no wallpaper
  has the same aspect ratio (boo#990257)
* Wed Sep 21 2016 fabian@ritter-vogt.de
- Use %%{_plasma5_version} like other packages
- Remove patch plasmashell-disable-windowclosing-on-logout.patch
  * now upstream
- Fix self-obsoletion
* Mon Sep 19 2016 wbauer@tmo.at
- Move german docs to lang subpackage again
* Thu Sep 15 2016 fabian@ritter-vogt.de
- Update to 5.7.95 (Plasma 5.8 Beta)
  * New LTS feature release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.7.95.php
- Removed patches:
    Configuration-option-for-System-Tray-icon-size.patch
    Use-iconName-instead-of-icon-in-all-runners.patch
    add-separate-autostart-file-for-klipper.patch
    fix-breeze-sddm-theme-with-many-users.patch
    require-qt56.diff
* Tue Sep 13 2016 fabian@ritter-vogt.de
- Update to 5.7.5
  * New bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.7.5.php
* Fri Aug 26 2016 fabian@ritter-vogt.de
- Update to 5.7.4
  * New bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.7.4.php
- Refresh plasma5-workspace.spec
* Tue Aug 23 2016 wbauer@tmo.at
- Add Use-iconName-instead-of-icon-in-all-runners.patch to fix
  problems in KRunner caused by QIcon not being thread-safe
  (boo#994983, kde#355122, kde#356957)
* Tue Aug 16 2016 wbauer@tmo.at
- Use xterm to install the debug packages in drkonqi, konsole
  doesn't handle the -e parameter correctly currently
  (boo#990353, kde#366793)
* Fri Aug 12 2016 hrvoje.senjan@gmail.com
- Adjust filelist for the plasmoid appdata, installed with KF > 5.25.0
* Thu Aug 11 2016 wbauer@tmo.at
- Add add-separate-autostart-file-for-klipper.patch to prevent
  klipper from autostarting in e.g. GNOME (boo#993334)
* Wed Aug  3 2016 fabian@ritter-vogt.de
- Remove 0001-Workaround-kde-362531.patch as fixed in kwindowsystem
* Tue Aug  2 2016 hrvoje.senjan@gmail.com
- Update to 5.7.3
  * New bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.7.3.php
- Drop upstreamed patches:
  0002-don-t-try-to-load-layout-before-kamd-starts.patch
  0006-Treat-IsDemandingAttention-as-IsOnAllVirtualDesktops.patch
  0007-apparently-containment-can-be-null.patch
  0010-Properly-registering-existing-activities-before-load.patch
  0001-check-harder-to-include-only-desktops-in-desktops.patch
* Mon Aug  1 2016 alarrosa@suse.com
- Added fix-breeze-sddm-theme-with-many-users.patch again.
  This is still needed since upstream dropped the planned changes
  on the login breeze theme from the 5.7 release.
* Sat Jul 30 2016 fabian@ritter-vogt.de
- Add 0001-Workaround-kde-362531.patch as a workaround for
    kde#362531
* Fri Jul 29 2016 fabian@ritter-vogt.de
- Remove 0005-Missing-method-for-activity-deletion-from-plasma-scr.patch
  Not only unnecessary, but also reverted by later patch.
* Thu Jul 28 2016 hrvoje.senjan@gmail.com
- Added patches from upstream:
  0002-don-t-try-to-load-layout-before-kamd-starts.patch
  0005-Missing-method-for-activity-deletion-from-plasma-scr.patch
  0006-Treat-IsDemandingAttention-as-IsOnAllVirtualDesktops.patch
  0007-apparently-containment-can-be-null.patch
  0010-Properly-registering-existing-activities-before-load.patch
  0001-check-harder-to-include-only-desktops-in-desktops.patch
* Wed Jul 20 2016 hrvoje.senjan@gmail.com
- Update to 5.7.2
  * New bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.7.2.php
* Sat Jul 16 2016 hrvoje.senjan@gmail.com
- Added Configuration-option-for-System-Tray-icon-size.patch from
  upstream
* Wed Jul 13 2016 hrvoje.senjan@gmail.com
- Update to 5.7.1
  * New bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.7.1.php
* Tue Jul  5 2016 wbauer@tmo.at
- Use the new %%kf5_find_lang macro to create the file list for the
  lang package
- Remove rpmlintrc file, it is not needed any more now
* Thu Jun 30 2016 hrvoje.senjan@gmail.com
- Update to 5.7.0
  * New feature release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.7.0.php
- Drop create_kdehome.patch and fix-breeze-sddm-theme-with-many-users.patch
- Add require-qt56.diff: we know our Qt package has the right patch,
  so we don't need to depend on 5.6.1
* Mon Jun 13 2016 fvogt@suse.com
- Add missing Requires: in branding subpackage (boo#968427)
* Mon May 16 2016 jengelh@inai.de
- Run fdupes to compact duplicate files
* Sun May 15 2016 hrvoje.senjan@gmail.com
- Update to 5.6.4
  * New bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.6.4.php
- Drop upstreamed patches:
  digitalclock-fix-show-seconds.patch and kuiserver5_qApp.patch
* Tue Apr 19 2016 wbauer@tmo.at
- Add digitalclock-fix-show-seconds.patch: Fixes displaying seconds
  in the digital clock which was broken with certain locales
  ("C" e.g.)
* Tue Apr 19 2016 hrvoje.senjan@gmail.com
- Update to 5.6.3
  * New bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.6.3.php
* Wed Apr  6 2016 alarrosa@suse.com
- Don't apply plasmashell-disable-windowclosing-on-logout.patch
  in SLE12 since Qt 5.5.1 in SLE12 is not patched to support the new
  session management API from 5.6.0 .
* Tue Apr  5 2016 hrvoje.senjan@gmail.com
- Update to 5.6.2
  * New bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.6.2.php
* Tue Mar 29 2016 hrvoje.senjan@gmail.com
- Update to 5.6.1
  * New bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.6.1.php
- Drop upstreamed xembedsniproxy-avoid-ghost-entry.patch
* Sun Mar 20 2016 hrvoje.senjan@gmail.com
- Update to 5.6.0
  * New feature release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.6.0.php
* Wed Mar  2 2016 wbauer@tmo.at
- Added xembedsniproxy-avoid-ghost-entry.patch from upstream:
  prevents an empty icon being shown when e.g. fcitx is running
  (boo#954623, kde#358719)
* Tue Mar  1 2016 hrvoje.senjan@gmail.com
- Update to 5.5.5 (boo#968966)
  * Bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.5.5.php
- Drop upstreamed fix-session-switch.patch and
  reset-the-model-on-list-always-shown-hide-change.patch
* Fri Feb 26 2016 hrvoje.senjan@gmail.com
- Update plasmashell-disable-windowclosing-on-logout.patch to
  upstream version (but apply it for Qt >= 5.5.1)
* Thu Feb 25 2016 hrvoje.senjan@gmail.com
- Added fix-session-switch.patch (kde#356945, boo#967538)
* Fri Feb 19 2016 wbauer@tmo.at
- Added plasmashell-disable-windowclosing-on-logout.patch: prevent
  plasma from closing too early on logout resulting in an unusable
  desktop if the logout is cancelled (boo#955280, kde#349805)
* Tue Feb 16 2016 hrvoje.senjan@gmail.com
- Added kuiserver5_qApp.patch (boo#965922)
* Thu Feb  4 2016 hrvoje.senjan@gmail.com
- Added reset-the-model-on-list-always-shown-hide-change.patch
  (kde#357627, kde#352055)
* Tue Jan 26 2016 hrvoje.senjan@gmail.com
- Update to 5.5.4:
  * Bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.5.4.php
- Drop xembedsniproxy-check-for-null-geometry.patch, upstreamed
* Wed Jan 20 2016 wbauer@tmo.at
- Add xembedsniproxy-check-for-null-geometry.patch: fixes an
  xembedsniproxy crash (boo#954623, kde#355463, kde#358227)
* Wed Jan  6 2016 hrvoje.senjan@gmail.com
- Update to 5.5.3:
  * Bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.5.3.php
* Tue Dec 22 2015 hrvoje.senjan@gmail.com
- Update to 5.5.2:
  * Bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.5.2.php
* Tue Dec 15 2015 hrvoje.senjan@gmail.com
- Update to 5.5.1:
  * Bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.5.1.php
- Drop upstreamed patches:
  0001-notifications-Check-if-the-popup-is-visible-before-u.patch
  0002-notifications-Move-reading-globalConfig-from-ctor-to.patch
  0003-Make-comment-section-of-the-timezones-configuration-.patch
  0004-notifications-Fix-default-notification-position-sett.patch
  0001-Forward-mouse-enter-and-leave-events-on-feathered-ed.patch
  kde355684.patch
  use-old-connect-syntax.patch
* Sat Dec 12 2015 hrvoje.senjan@gmail.com
- Update to 5.5.0:
  * For more details please see:
    https://dot.kde.org/2015/12/08/plasma-55-beautiful-new-artwork
- Move to cmake(...) BuildRequires where possible
- Drop no longer needed fix-wayland-requirement.patch and rb125743.patch
- Added patches from upstream:
  0001-notifications-Check-if-the-popup-is-visible-before-u.patch
  0002-notifications-Move-reading-globalConfig-from-ctor-to.patch
  0003-Make-comment-section-of-the-timezones-configuration-.patch
  0004-notifications-Fix-default-notification-position-sett.patch
  0001-Forward-mouse-enter-and-leave-events-on-feathered-ed.patch
  kde355684.patch
  use-old-connect-syntax.patch
* Fri Dec  4 2015 alarrosa@suse.com
- Rebased fix-breeze-sddm-theme-with-many-users.patch in preparation
  for 5.5.0
* Wed Nov 25 2015 opensuse@cboltz.de
- add dependency on xprop (called by /usr/bin/startkde)
* Fri Nov 20 2015 alarrosa@suse.com
- Renamed userlist model property from UsersThresholdToDisableAvatars
  to disableAvatarsThreshold as in the patch finally accepted
  by sddm developers.
* Wed Nov 11 2015 alarrosa@suse.com
- Adds patch fix-breeze-sddm-theme-with-many-users.patch: Makes the
  breeze theme in sddm show username/password editlines instead of
  a user list when there's more than N users in the system where
  N is defined in sddm.conf, under the Theme section, in the
  UsersThresholdToDisableAvatars variable.
  This patch together with patches in sddm fix bnc#953778
* Sun Nov  8 2015 hrvoje.senjan@gmail.com
- Update to 5.4.3 (boo#955068):
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.4.3.php
* Fri Oct 23 2015 hrvoje.senjan@gmail.com
- Make sure users have pam_unix module in place so the screenlocker
  works when upgrading from openSUSE < 12.3 (boo#931296)
* Wed Oct 21 2015 hrvoje.senjan@gmail.com
- Try to fix wrong image scaling in kspash (boo#950799): rb125743.patch
* Sun Oct 18 2015 hrvoje.senjan@gmail.com
- Move sddm theme to upstream branding subpackage, so we can have
  branded sddm theme (boo#950796)
* Fri Oct 16 2015 hrvoje.senjan@gmail.com
- Let XEmbed icons appear in plasma, i.e. require xembed-sni-proxy
  package (boo#913339)
* Mon Oct  5 2015 alarrosa@suse.com
- Add fix-wayland-requirement.patch that reduces the requirement
  of wayland 1.3 in CMakeLists.txt to 1.2 for SLE12 since the 1.2
  version in SLE12 is patched to include the needed features from 1.3
* Sun Oct  4 2015 hrvoje.senjan@gmail.com
- Update to 5.4.2:
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.4.2.php
- Drop fix-logout-button-sizing.patch, upstreamed
* Wed Sep 16 2015 lbeltrame@kde.org
- Add fix-logout-button-sizing.patch: Upstream fix to ensure that
  logout/shutdown and cancel buttons on the logout screen have
  all the same size.
* Thu Sep 10 2015 hrvoje.senjan@gmail.com
- Update to 5.4.1:
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.4.1.php
* Tue Sep  8 2015 wbauer@tmo.at
- Add an explicit conflict with kio-extras5 < 15.08.0. Some files
  from kio-extras5 have been moved to plasma5-workspace in 5.4,
  this should prevent a possible file conflict. (boo#944656)
* Mon Aug 24 2015 hrvoje.senjan@gmail.com
- Update to 5.4.0:
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.4.0.php
* Sun Aug 16 2015 hrvoje.senjan@gmail.com
- Update to 5.3.95 aka 5.4 beta:
  This release of Plasma brings many nice touches for our users
  such as much improved high DPI support, KRunner auto-completion
  and many new beautiful Breeze icons. It also lays the ground for
  the future with a tech preview of Wayland session available.
  We're shipping a few new components such as an Audio Volume
  Plasma Widget, monitor calibration tool and the User Manager
  tool comes out beta.
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.3.95.php
- Drop 0003-Remove-export-of-QT_PLUGIN_PATH.patch, upstreamed
* Wed Aug  5 2015 hrvoje.senjan@gmail.com
- Added patches from upstream to resolve baloo SiC in 5.13.0:
  use-the-filepath-as-the-unique-id-of-the-match.patch and
  Baloo-Result-header-is-no-longer-installed.patch
* Sun Jun 28 2015 hrvoje.senjan@gmail.com
- Update to 5.3.2:
  * Bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.3.2.php
- Drop patches merged upstream:
  0001-Bugzilla-Integration-Look-for-the-mappings-file-in-t.patch
  0002-Reuse-the-existing-Notify-method-for-Notification-s-.patch
  0003-notifications-Make-sure-the-Open.-button-on-finished.patch
  0004-notifications-Optimize-sending-the-notification-data.patch
  0005-Fix-launcher-sorting-the-by-activity-sorting-strateg.patch
  0001-Unbreak-Undo-notifications-on-Plasmoid-removal.patch
* Wed Jun 10 2015 hrvoje.senjan@gmail.com
- Use %%version instead of no longer existing %%{_plasma5_branding_version}
  for branding provides/requires
* Thu May 28 2015 hrvoje.senjan@gmail.com
- Added patches from upstream:
  0001-Bugzilla-Integration-Look-for-the-mappings-file-in-t.patch
  0002-Reuse-the-existing-Notify-method-for-Notification-s-.patch
  (kde#342605)
  0003-notifications-Make-sure-the-Open.-button-on-finished.patch
  0004-notifications-Optimize-sending-the-notification-data.patch
  0005-Fix-launcher-sorting-the-by-activity-sorting-strateg.patch
  (kde#348324)
  0001-Unbreak-Undo-notifications-on-Plasmoid-removal.patch
  (kde#345149)
* Fri May 22 2015 hrvoje.senjan@gmail.com
- Update to 5.3.1:
  * Bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.3.1.php
- Drop patches merged upstream:
  0001-Disable-indeterminate-animation-for-suspended-jobs.patch
  0003-notifications-Replace-apos-with-as-apos-is-not-suppo.patch
  0004-Match-window-switch-dialog-borders-with-addwidgets-s.patch
  0005-Manually-keep-track-of-jobs-sources.patch
  0006-Fix-running-applet-calculation.patch
  0008-Only-restart-Timer-when-the-dialog-is-visible.patch
  0009-check-for-model-existence.patch
  0010-Fix-a-crash-in-PowermanagementEngine-populateApplica.patch
  0011-notifications-Always-check-first-if-the-dispatch-tim.patch
  0012-notifications-Clear-notification-from-show-queue-if-.patch
* Sun May 17 2015 hrvoje.senjan@gmail.com
- Require kscreen5, kactivities5 and kio-extras5 instead of just
  recommending, they are essential enough that all users have
  it installed
* Sat May  2 2015 hrvoje.senjan@gmail.com
- Added patches from upstream:
  0001-Disable-indeterminate-animation-for-suspended-jobs.patch,
  0003-notifications-Replace-apos-with-as-apos-is-not-suppo.patch
  (kde#346710),
  0004-Match-window-switch-dialog-borders-with-addwidgets-s.patch
  (kde#345614),
  0005-Manually-keep-track-of-jobs-sources.patch (kde#346673),
  0006-Fix-running-applet-calculation.patch,
  0008-Only-restart-Timer-when-the-dialog-is-visible.patch,
  0009-check-for-model-existence.patch (kde#346870),
  0010-Fix-a-crash-in-PowermanagementEngine-populateApplica.patch,
  0011-notifications-Always-check-first-if-the-dispatch-tim.patch
  and 0012-notifications-Clear-notification-from-show-queue-if-.patch
  (kde#342605)
* Thu Apr 23 2015 hrvoje.senjan@gmail.com
- Update to 5.3 Final:
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.3.0.php
- Drop 0001-delete-the-views-before-containments.patch, merged upstream
- Only conflict with kdebase4-workspace < 5.3.0
* Sat Apr 11 2015 hrvoje.senjan@gmail.com
- Update to 5.2.95 aka 5.3 beta:
  * New feature release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.2.95.php
- Update required Qt version to 5.4.0
- Update required KF5 version to 5.8.0
- Added kxmlrpcclient5-devel, libKF5NetworkManagerQt-devel and
  pkgconfig(xi) BuildRequires
- Added 0001-delete-the-views-before-containments.patch from upstream,
  (kde#345758)
- Drop patches merged upstream:
  0001-Fix-one-pixel-gap-between-screenedge-and-right-place.patch
  and 0001-Workaround-the-lockscreen-password-field-focus-issue.patch
* Fri Mar 27 2015 hrvoje.senjan@gmail.com
- Added 0001-Fix-one-pixel-gap-between-screenedge-and-right-place.patch
  (kde#339323, kde#340549, boo#924074)
* Wed Mar 25 2015 hrvoje.senjan@gmail.com
- Add 0001-Workaround-the-lockscreen-password-field-focus-issue.patch
  (kde#344823)
* Thu Mar 19 2015 hrvoje.senjan@gmail.com
- Update to 5.2.2:
  * Bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.2.2.php
- Drop patches merged upstream:
  0001-digital-clock-Invert-the-JS-timezone-offset-values.patch,
  0002-Set-aboutData-for-plasmashell.patch,
  0005-lookandfeel-Make-sure-the-OSD-is-not-bigger-than-1-3.patch,
  0006-Add-missing-import.patch,
  0007-Don-t-set-mode-here-otherwise-default-will-not-work.patch,
  0009-libtaskmanager-Use-the-icon-loaded-from-config-file-.patch,
  0010-Take-Shown-and-Hidden-status-in-account-when-showing.patch,
  0011-Fix-displaying-label1-in-job-notifications.patch and
  0012-Show-pause-stop-buttons-in-jobs-notification-only-fo.patch
* Thu Mar 19 2015 hrvoje.senjan@gmail.com
- Add pkgconfig(libqalculate) BuildRequires
* Fri Mar 13 2015 hrvoje.senjan@gmail.com
- Add patches from upstream:
  0001-digital-clock-Invert-the-JS-timezone-offset-values.patch,
  0002-Set-aboutData-for-plasmashell.patch,
  0005-lookandfeel-Make-sure-the-OSD-is-not-bigger-than-1-3.patch,
  0006-Add-missing-import.patch,
  0007-Don-t-set-mode-here-otherwise-default-will-not-work.patch
  (kde#344701),
  0009-libtaskmanager-Use-the-icon-loaded-from-config-file-.patch,
  0010-Take-Shown-and-Hidden-status-in-account-when-showing.patch
  (kde#344795),
  0011-Fix-displaying-label1-in-job-notifications.patch and
  0012-Show-pause-stop-buttons-in-jobs-notification-only-fo.patch
* Fri Feb 20 2015 hrvoje.senjan@gmail.com
- Update to 5.2.1:
  * Bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.2.1.php
* Sun Feb  8 2015 hrvoje.senjan@gmail.com
- Added kglobalaccel-devel BuildRequires
- kglobalaccel5 daemon moved to kglobalaccel Framework
* Mon Jan 26 2015 hrvoje.senjan@gmail.com
- Update to 5.2 Final:
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.2.0.php
* Tue Jan 13 2015 hrvoje.senjan@gmail.com
- Update to 5.2 Beta aka 5.1.95:
  * Undo changes to Plasma desktop layout
  * Smarter sorting of results in KRunner
  * Breeze window decoration theme adds a new look to your
    desktop and is now used by default
  * New white mouse cursor theme for Breeze.
  * New plasma widgets: 15 puzzle, web browser, show desktop
  * Over 300 bugs fixed throughout Plasma modules.
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.1.95.php
  * Use the correct path for ksyncdbusenv, boo#912565
- Harden external libs requires for the libs subpackage
- Use exact version for plasma5-workspace-libs Requires
- Bump KF5 Requires to 5.6.0
- Bump (Build)Requires of other Plasma 5 components to same version
- Add wayland-devel BuildRequires
- Drop no longer relevant obsoletes
- Require oxygen5-sounds, boo#912317
- Drop 0001-LocationRunner-Convert-case-insensitive-path-to-a-pr.patch
  and 0002-Baloo-Runner-Lower-relevance-because-krunner-does-no.patch,
  merged upstream
* Thu Dec 11 2014 hrvoje.senjan@gmail.com
- Update to 5.1.2:
  * Bugfix release
  * Make the OSD timeout shorter
  * Fix ui files
  * Fix lockscreen theme fallback
  * Add the next wallpaper action when necessary, kde#341089
  * Revert i18n changes cherry-picked from master
  * Only play indeterminate animation when plasmoid is expanded
  * Refactor JobDelegate
  * Don't leave a gap when label1 is not visible
  * Don't emit a Job finished notification if the message
    would be empty
  * Finish cleanup and remove unused config.ui remnant
  * When no percentage is exposed over the dataengine make the
    progress bar indeterminate
  * Cleanup Jobs code and remove dead code
  * Alleviate the annoyance of Job Finished notifications, kde#340068
  * Escape ampersands in notifications
  * Replace \n with
  * Fix dialog minimum height (always add the margins afterwards),
    kde#341218
  * Also take the title label into account when calculating
    the dialog size
  * Enforce StyledText in notifications
  * Hide popup when opening configure dialog
  * Fix notification configure button
  * Fix binding loops and make popup even more compact
  * Cleanup Loaders
  * Cleanup Notifications code
  * Move duplicated code from NotificationDelegate and
    NotificationPopup into a new NotificationItem
  * Make sure lock screen package name does not overlap
    highlight rectangle
  * Actually save the kscreensaver config
  * fix resetting and reverting to default values
  * Fix qml warnings in splash kcm
  * Separator for Keywords is ;
  * Hopefully fix shell resizing in VirtualBox
  * Take into account the primary screen can be redundant
  * Delayed primaryOutput processing needs to be delayed
  * Also set minHeight in vertical panels. kde#340896
  * Fix and future-proof security in Dr Konqi. kde#337742
  * Fix hiding the SNI when avail space goes up again
  * Make the SNI just Active when free space raised
  * Find messages in QML as well
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.1.2.php
- Drop 0001-BUG-337742-REVIEW-120431.-Fix-and-future-proof-secur.patch,
  merged upstream
* Wed Nov 12 2014 hrvoje.senjan@gmail.com
- Added 0001-BUG-337742-REVIEW-120431.-Fix-and-future-proof-secur.patch
  from upstream (kde#337742)
* Thu Nov  6 2014 hrvoje.senjan@gmail.com
- Update to 5.1.1:
  * Bugfix release
  * Panel jumps around less when resizing/controlling
    (kde#339207, kde#337382)
  * Redeclare missing properties from Containment, kde#337743
  * Make apply button work correctly, kde#339946
  * Remove bypasswindowmanagerhint, kde#339848
  * Signal availableScreenRectChanged on type change, kde#339412
  * Create the corona on heap, kde#340191
  * Remove shutdown option from screen locker, kde#339453
  * Remove uneeded code to stop alt+f4 killing the window,
    kde#338360
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.1.1.php
* Wed Oct 22 2014 hrvoje.senjan@gmail.com
- Added
  0001-LocationRunner-Convert-case-insensitive-path-to-a-pr.patch (kde#333395)
  and 0002-Baloo-Runner-Lower-relevance-because-krunner-does-no.patch,
  make sure that applications are shown as top results in krunner
- Recommend lang subpackage
- Relax dependancies to plasma-framework private parts, and fix
  a blip moment, typo in package name
* Thu Oct  9 2014 hrvoje.senjan@gmail.com
- Update to 5.1 Final:
  * Bugfixes since RC1
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.1.0.php
- Drop 0002-Fix-NotificationPopup-size.patch,
  0001-take-the-proper-default-at-first-start.patch and
  0004-Show-application-title-if-Status-Notifier-Item-does-.patch,
  merged upstream
- Hardcode versions of plasma-framework-componets and
  plasma-framework-private packages, as upstream doesn't
  keep backwards compability there
* Fri Sep 26 2014 hrvoje.senjan@gmail.com
- Update to 5.0.95:
  * No changes since previous snapshot
- Install translations
- Add rpmlintrc file for file-not-in-%%lang warnings: we don't use
  find_lang macro as it doesn't searches in subdirectories
- Swap wallpaper.diff for 0001-take-the-proper-default-at-first-start.patch
  it is a simpler solution (kde#339216, kde#339414)
- Add 0002-Fix-NotificationPopup-size.patch: fixes notifications
  with latest plasma-framework
- Add 0004-Show-application-title-if-Status-Notifier-Item-does-.patch:
  show the application name and icon if none is given. kde#337710
* Tue Sep 23 2014 hrvoje.senjan@gmail.com
- Create upstream-branding subpackage, empty for now
- Update to 5.0.95~git20140925 (rdfc15d5):
  * Improvements to notifications applet
  * Honor settings of look-and-feel package (needed for openSUSE
    branding)
  * Add timezone support to digital clock
- Add wallpaper.diff to resolve kde#339216
* Thu Sep 11 2014 hrvoje.senjan@gmail.com
- Update to 5.0.95~git20140911 (r93ed2cb):
  * Allow to swap plasmoids via alternatives system
  * Introduction of 'Look and Feel' packages: allows users to change
    outlook of entire desktop in a single place
  * Various other bugfixes, improvements and cleanups
- Split shared libraries into libs subpackage
- Added 0003-Remove-export-of-QT_PLUGIN_PATH.patch: we install
  plugins to directory known to Qt5, so export just pollutes
  both Qt4 and Qt5 plugins
- Recommend sni-qt
- Add baselibs.conf
- Don't install libKF5XmlRpcClientPrivate, as it's a private lib
* Fri Aug 22 2014 hrvoje.senjan@gmail.com
- Split out kglobalaccel to a kglobalaccel5 package (so default
  shortcuts work outside Plasma session)
- Require libkscreen2-plugin
- Added create_kdehome.patch and pass -DKDE_DEFAULT_HOME=.kde4 so
  kde4breeze kconf script can apply kde4 settings succesfully,
  kde#338422
* Fri Aug  8 2014 hrvoje.senjan@gmail.com
- Update to 5.0.1
  * Bugfix release, translation and accessibility fixes
  * Translation updates
* Tue Aug  5 2014 hrvoje.senjan@gmail.com
- Add frameworkintegration-plugin Requires
- Split out drkonqi to a separate drkonqi5 package (useful for those
  that want to get backtrace w/o Workspace installed)
* Thu Jul 24 2014 hrvoje.senjan@gmail.com
- Update to 5.0.1~20140724-3ba9875 snapshot
* Fri Jul 11 2014 hrvoje.senjan@gmail.com
- Update to 5.0.0
  * Plasma 5.0 Final
- Rename package to plasma5-workspace
* Sun Jul  6 2014 cgiboudeaux@gmx.com
- Add 0001-Rename-qdbus-in-startkde.patch
  The qdbus executable is called qdbus-qt5 in the libqt5-qttools package.
  This patch ensures we don't try to use the Qt4 executable.
* Thu Jul  3 2014 hrvoje.senjan@gmail.com
- Update to 4.98.0
  * Plasma 5 RC release
- Drop e79b769.patch and rename_1.diff, merged upstream
* Thu Jun  5 2014 hrvoje.senjan@gmail.com
- Activate plasma-workspace5 package
